# SemanticsUpdate class

An opaque object representing a batch of semantics updates.

To create a SemanticsUpdate object, use a SemanticsUpdateBuilder.

Semantics updates can be applied to the system's retained semantics tree using the Window.updateSemantics method.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Releases the resources used by this semantics update. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited